using System;
class HelloWorld 
{
  static void Main() 
  {
    
    long n,l;
    var ulaz1 = Console.ReadLine().Split();
    n = long.Parse(ulaz1[0]);
    l = long.Parse(ulaz1[1]);
    
    var ulaz2 = Console.ReadLine().Split();
    for(int i = 0;i < n;i++)
    {
        long broj = long.Parse(ulaz2[i]);
        if(broj<=l)
        {
            Console.WriteLine(i+1);
            return;
        }
    }
    Console.WriteLine("-1");
  }
}